Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.msgprocessors
Class LastMessageProcessor

    java.lang.Object
      org.apache.sandesha2.msgprocessors.LastMessageProcessor

All Implemented Interfaces:
  MsgProcessor

    public class LastMessageProcessor

extends java.lang.Object
implements MsgProcessor

Constructor Summary
`LastMessageProcessor()`

Method Summary
`boolean` | `processInMessage(RMMsgContext rmMsgCtx, Transaction transaction)`
`static void` | `processLastMessage(RMMsgContext rmMsgCtx)`
`boolean` | `processOutMessage(RMMsgContext rmMsgCtx, Transaction transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LastMessageProcessor

    public LastMessageProcessor()

Method Detail

### processInMessage

    public boolean processInMessage(RMMsgContext rmMsgCtx,
                                    Transaction transaction)
                             throws org.apache.axis2.AxisFault

  Specified by:
    `processInMessage` in interface `MsgProcessor`
  Returns:
    true if the msg context has been paused
  Throws:
    `org.apache.axis2.AxisFault`

### processOutMessage

    public boolean processOutMessage(RMMsgContext rmMsgCtx,
                                     Transaction transaction)

  Specified by:
    `processOutMessage` in interface `MsgProcessor`
  Returns:
    true if the msg context has been paused

### processLastMessage

    public static void processLastMessage(RMMsgContext rmMsgCtx)
                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.